Bug 225684 - Merge Review: devhelp (stalled)
Merge Review: devhelp (stalled)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 12:57 EST by Nobody's working on this, feel free to take it
Modified: 2013-01-10 18:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 18:36:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 12:57:13 EST
Fedora Merge Review: devhelp

http://cvs.fedora.redhat.com/viewcvs/devel/devhelp/
Initial Owner: mbarnes@redhat.com
Comment 1 Brian Pepple 2007-02-04 10:49:00 EST
Good:
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* All paths begin with macros
* Desktop entry is fine
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* Builds in Mock fine.

Must Fix Items:
* Missing URL .  http://developer.imendio.com/projects/devhelp
* Source URL isn't canonical.
http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.bz2
* rpmlint error:
E: devhelp postin-without-ldconfig /usr/lib/libdevhelp-1.so.0.0.0
E: devhelp postun-without-ldconfig /usr/lib/libdevhelp-1.so.0.0.0

Minor things to look at, not considered blockers:
* rpmlint error: W: devhelp-devel summary-ended-with-dot Library to embed
Devhelp in other applications.
* Doesn't use preferred buildroot.
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1
* Unnecessary Requires on gnome-vfs2, gtk2, libglade2, and libgnomeui.  The BR
on the devel packages should pull these in automatically.
http://linux.dell.com/files/fedora/FixBuildRequires/mock-results-core/i386/devhelp-0.12-10.fc7.src.rpm/result/build.log
* Duplicate BuildRequires: glib2-devel (by gtk2-devel), libglade2-devel (by
libgnomeui-devel), gtk2-devel (by libgnomeui-devel), GConf2-devel (by
libgnomeui-devel), gnome-vfs2-devel (by libgnomeui-devel)
* Could use the '-disable-static' configure flag, and not even bother building
the static libs.
* Could just use 'rm -rf $RPM_BUILD_ROOT' to clean the install section for
consistency.
Comment 2 Matthew Barnes 2007-02-04 11:24:24 EST
Fixed in devhelp-0.13-2.fc7
Comment 3 Matthias Clasen 2007-02-05 09:40:39 EST
Matt, -p /sbin/ldconfig only works if the %post is otherwise empty, since it
replaces the shell. I'll fix that up
Comment 4 Matthias Clasen 2007-06-17 00:14:34 EDT
This looks like a stalled review to me...
Comment 5 Bug Zapper 2008-05-14 08:07:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthias Clasen 2009-01-23 19:13:01 EST
This can be approved, I think. 
The things listed in comment #1 have all been taken care of.
Comment 7 François Cami 2013-01-10 18:36:44 EST
http://koji.fedoraproject.org/koji/packageinfo?packageID=25

Built and shipped. Closing.

Note You need to log in before you can comment on or make changes to this bug.